﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using GTTDisplay;

namespace GTTTest
{
    public partial class Form1 : Form
    {
        public Display T;
        private String myStr;
        Random R;
        private int BarGraphWidth = 40;
        private int BarGraphSpacing = 60;
        private int BarGraphPadding = 10;
        private int BottomSpacing = 30;
        //public delegate void TouchEventDelegate(string type, int X, int Y);

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            R = new Random();
            T = new Display(7);

            T.TouchEvent = new Display.TouchEventDelegate(ProcessTouch);

            if (T.InitializeDisplay() == false)
            {
                MessageBox.Show("booo");
            }
            T.EnableManualUpdate(true);
            T.ClearScreen();

            T.ChangeDrawingColor(Color.DarkOliveGreen);
            T.DrawLine(new Point(0, T.Height-BottomSpacing), new Point(T.Width,T.Height-BottomSpacing));

            T.ChangeTouchReportingStyle(11);
            T.SetScrollMode(1);
            T.SetTextWindow(new Point(0, 260), T.Width, T.Height);

            T.SetTextColor(Color.White);

            for (int i = 0; i < 8; i++)
            {
                T.CreateBarGraph(i, 0, 260, (i*BarGraphSpacing)+BarGraphPadding, 11, BarGraphWidth, 261-BottomSpacing, Color.Green,Color.FromArgb(18,18,55), 0);
                T.UpdateSingleBargraph(i, 260);
                T.DrawLine(new Point((i * BarGraphSpacing), 261 - BottomSpacing+11), new Point((i * BarGraphSpacing), 261 + BottomSpacing));
                T.SetTextInsertionPoint(new Point((i * BarGraphSpacing) + (int)(BarGraphWidth / 2) + (int)(BarGraphPadding / 2), 1));
                T.WriteText((i+1).ToString());

            }
            T.DrawLine(new Point(T.Width-1, 261 - BottomSpacing + 11), new Point(T.Width-1, 261 + BottomSpacing));

            T.SetTextWindow(new Point(0, 260), T.Width, T.Height);
            T.SetTextColor(Color.Blue);
            T.SetTextWindow(new Point(0, 250), T.Width, T.Height);
            T.ManualUpdate();
            T.EnableManualUpdate(false);


            timer1.Start();
            

        }

        private void ProcessTouch(string type, int X, int Y)
        {
            myStr = "Type: " + type + "\nX: " + X + "\nY: " + Y;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            int[] r = new int[8];
            for (int i = 0; i < 8; i++)
            {
                r[i] = R.Next() % 260;
 //               T.SetTextInsertionPoint(new Point((i * BarGraphSpacing) + (int)(BarGraphWidth / 2) + (int)(BarGraphPadding / 2), 1));
  //              T.WriteText(r[i].ToString());
            }
            T.UpdateMultipleBargraphs(0, r);
       //     T.ManualUpdate();
            //T.SetScrollMode(1);
            //T.SetTextWindow(new Point(0, 0), T.Width, T.Height);
            //T.SetTextInsertionPoint(new Point(40, 50));
         //   T.WriteText("Testing...");
       //     T.ChangeDrawingColor(Color.Black);
        //    T.DrawFilledRectangle(new Point(80, 80+60-temp), 40, temp);
        //    T.ChangeDrawingColor(Color.Green);
        //    T.DrawFilledRectangle(new Point(80, 80), 40, temp);
            label1.Text = myStr;
            //T.ManualUpdate();
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            T.ClosePort();
        }
    }
}
